Modify

Opened 7 years ago

Closed 7 years ago

#7666 closed defect (fixed)

Download object exception with invalid value

Reported by: bruno.besson@… Owned by: team
Priority: minor Milestone:
Component: Core Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. File > Download an object
  2. Enter an invalid value (in my case I think it was "r123723,r127114,r123721,r123719,r123718,r127115,r123717,r123722,r123714,r123720,r127116,r127119,r127118,r123716,r127117,r123715,r391558,b")
  3. The field is red, but it is possible to validate anyway, which causes the reported exception.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-02 01:31:00
Last Changed Author: stoecker
Revision: 5210
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-01 16:42:42 +0200 (Tue, 01 May 2012)
Last Changed Rev: 5210

Identification: JOSM/1.5 (5210 fr)
Memory Usage: 296 MB / 4444 MB (125 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: DirectDownload (27649)
Plugin: RoadSigns (27868)
Plugin: cadastre-fr (27981)
Plugin: contourmerge (1003)
Plugin: epci-fr (26960)
Plugin: imageryadjust (27865)
Plugin: multipoly-convert (27852)
Plugin: openstreetbugs (27852)
Plugin: public_transport (28318)
Plugin: restart (27852)
Plugin: reverter (28089)
Plugin: tag2link (27857)
Plugin: turnrestrictions (27891)

java.lang.NumberFormatException: For input string: "b"
	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
	at java.lang.Long.parseLong(Long.java:410)
	at java.lang.Long.parseLong(Long.java:468)
	at org.openstreetmap.josm.gui.widgets.OsmIdTextField$OsmIdValidator.readOsmIds(OsmIdTextField.java:117)
	at org.openstreetmap.josm.gui.widgets.OsmIdTextField.readOsmIds(OsmIdTextField.java:45)
	at org.openstreetmap.josm.actions.DownloadPrimitiveAction.actionPerformed(DownloadPrimitiveAction.java:188)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1633)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2851)
	at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:267)
	at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:229)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2928)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2920)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2814)
	at java.awt.Component.processEvent(Component.java:6044)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1850)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:712)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:990)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:855)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:676)
	at java.awt.Component.dispatchEventImpl(Component.java:4502)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:12

Attachments (0)

Change History (2)

comment:1 Changed 7 years ago by rickmastfan67

I can duplicate this in Windows 7 x64. It happens when the "Object Type" is set to node, way, or relation. If it's set to mixed, JOSM doesn't crash.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-02 01:31:00
Last Changed Author: stoecker
Revision: 5210
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-01 16:42:42 +0200 (Tue, 01 May 2012)
Last Changed Rev: 5210

Identification: JOSM/1.5 (5210 en)
Memory Usage: 154 MB / 2730 MB (74 MB allocated, but free)
Java version: 1.6.0_32, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27984)
Plugin: licensechange (27964)
Plugin: mapdust (27884)
Plugin: measurement (27957)
Plugin: openstreetbugs (27852)
Plugin: reverter (28089)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (28350)

java.lang.NumberFormatException: For input string: "b"
	at java.lang.NumberFormatException.forInputString(Unknown Source)
	at java.lang.Long.parseLong(Unknown Source)
	at java.lang.Long.parseLong(Unknown Source)
	at org.openstreetmap.josm.gui.widgets.OsmIdTextField$OsmIdValidator.readOsmIds(OsmIdTextField.java:117)
	at org.openstreetmap.josm.gui.widgets.OsmIdTextField.readOsmIds(OsmIdTextField.java:45)
	at org.openstreetmap.josm.actions.DownloadPrimitiveAction.actionPerformed(DownloadPrimitiveAction.java:188)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$000(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$2.run(Unknown Source)
	at java.awt.EventQueue$2.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)
Last edited 7 years ago by rickmastfan67 (previous) (diff)

comment:2 Changed 7 years ago by simon04

Resolution: fixed
Status: newclosed

Fixed in r5211 ("OperationalError: database is locked" while committing).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.